> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Company Integration

> This endpoint serves the purpose of updating a company integration's configuration.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json PATCH /company/integrations/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /company/integrations/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Integration ID
    patch:
      tags:
        - Company
      summary: Update Company Integration
      description: >-
        This endpoint serves the purpose of updating a company integration's
        configuration.
      operationId: patch-company-integration
      requestBody:
        description: Integration fields to update.
        content:
          application/json:
            schema:
              type: object
              properties:
                api_key:
                  type: string
                  description: Updated API key for the partner integration
                organization_id:
                  type: string
                  description: Updated organization identifier for the partner integration
              required:
                - api_key
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: boolean
              examples:
                Integration updated:
                  value: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid integration configuration:
                  value:
                    code: CMP-900
                    error: Invalid integration configuration
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: CMP-1000
                    error: Insufficient permissions to manage company settings
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Not found:
                  value:
                    code: CMP-800
                    error: Integration not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CMP-1100
                    error: An unexpected error occurred
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````